// an answer to
// http://webapps.stackexchange.com/questions/45258/export-print-list-of-github-repo-issues
const superagent = require('superagent')
const marked = require('marked')

exports.endpoint = function(r, w) {
  var [pathname, query] = r.url.split('?')
  var params = pathname.split('/').slice(-2)
  superagent.get(`https://api.github.com/repos/${params[0]}/${params[1]}/issues?${query}`)
  .end((err, res) => {
    w.setHeader('content-type', 'text/html')
    w.write(`<h2>Issues for <a href=https://github.com/${params[0]}/${params[1]}>${params[0]}/${params[1]}</a></h2>`)
    res.body.forEach(issue => {
      w.write(`<hr><li>
        <h3>${issue.title}</h3>
        <div>${marked(issue.body)}</div>
      </li>`)
    })
    w.write('<hr>')
    w.end()
  })
};